//
// Copyright (c) 1996 Vermeer Technologies, Inc., a wholly owned
//               subsidiary of Microsoft Corp.  All Rights Reserved

// ClickableDIB.cpp : implementation file
//

#include "stdafx.h"
#include "fpcntclt.h"
#include "ClickableDIB.h"
#include "maindlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CClickableDIB

CClickableDIB::CClickableDIB()
{
	m_pParent = NULL;
	m_data = 0;
}

CClickableDIB::~CClickableDIB()
{
}


BEGIN_MESSAGE_MAP(CClickableDIB, CDIBBtn)
	//{{AFX_MSG_MAP(CClickableDIB)
	ON_WM_LBUTTONDOWN()
	ON_WM_NCHITTEST()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

void CClickableDIB::SetParent(CMainDlg *parent, long data)
{
	m_pParent = parent;
	m_data = data;
}


/////////////////////////////////////////////////////////////////////////////
// CClickableDIB message handlers


UINT CClickableDIB::OnNcHitTest(CPoint point) 
{
	return HTCLIENT;	
}


void CClickableDIB::OnLButtonDown(UINT nFlags, CPoint point) 
{
	if (m_pParent)
		m_pParent->DIBClicked(m_data);
	
	CStatic::OnLButtonDown(nFlags, point);
}

