//
// Copyright (c) 1996 Vermeer Technologies, Inc., a wholly owned
//               subsidiary of Microsoft Corp.  All Rights Reserved

// CDIBBtn.h : header file
//

#ifndef CDIBBTN_H
#define CDIBBTN_H

#include "dibutil.h"

/////////////////////////////////////////////////////////////////////////////
// CDIBBtn window

class CDIBBtn : public CStatic
{
// Construction
public:
	CDIBBtn();

// Attributes
public:
	// class member
	static CPalette *pGlobalPalette;

	HDIB m_hDIB;  // current DIB associate with this control
	BOOL m_bIsResource; 

// Operations
public:
	void SizeToContent();
	BOOL SetDIB(int nDIBID);
	BOOL SetDIB(LPCTSTR szFileName);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDIBBtn)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CDIBBtn();

	// Generated message map functions
protected:
	//{{AFX_MSG(CDIBBtn)
	afx_msg void OnPaint();
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

#endif // CDIBBTN_H
