//
// Copyright (c) 1996 Vermeer Technologies, Inc., a wholly owned
//               subsidiary of Microsoft Corp.  All Rights Reserved

//////////////////////////////////////////////////////
// CServer.h
//
// Defines CServer base class

class CServer
{
public:
	CServer();

	BOOL IsInstallable();
	BOOL Install();

protected:
	CString m_DocumentRoot;
	CString m_CgiBinDir;
	CString m_BotDir;

private:
	virtual CString GetDocumentRoot() = NULL;
	virtual CString GetCgiBinDir() = NULL;
	virtual CString GetBotDir() = NULL;

	BOOL m_bInstallable;
};

